# Utilities for health-checking InvenioRDM

These utilities provide means to check some health aspects of an InvenioRDM system from an outside perspective.


## `check-records.sh`

This utility uses the REST API to list all available records and checks each record's landing page.
If any of the records' landing pages returns a failure status code, the record's identifier is printed alongside its landing page URL.
In the end, a short summary is shown about how many records were fine and how many resulted in failure.


### Prerequisites

* `bash`
* `jq`
* `curl`


### Example

```bash
# check the records in the InvenioRDM sandbox instance
./check-records.sh inveniordm.web.cern.ch

# alternative to above
export BASE_URL=inveniordm.web.cern.ch
./check-records.sh

# disable SSL check for local instance
./check-records.sh -k https://localhost
```
